path: /build/build/funtoo-gnome-stage3-seed-0.20230201+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - STAGE_VERSION=0.20220604
  prelude:
  - apk --no-cache add ca-certificates tar wget xz rsync curl
  - export HTTP_TIMEOUT=0 && export LUET_YES=true && curl https://raw.githubusercontent.com/geaaru/luet/geaaru/contrib/config/get_luet_root.sh
    | sh && luet install repository/macaroni-distfiles && luet repo update
  - |
    mkdir /funtoo-gnome-stage3 && \
    export LUET_SYSTEM__TMPDIR_BASE=/luettmp && \
    export LUET_YES=true && \
    luet install =funtoo-1.4/gnome-stage3-amd64-${STAGE_VERSION} && luet cleanup && \
    eval 'rm -rf /luettmp || true ' && \
    cd /funtoo-gnome-stage3 && tar xJpf /collections/funtoo/gnome-stage3.tar.xz --xattrs --numeric-owner && luet uninstall funtoo-1.4/gnome-stage3-amd64 && luet cleanup && \
    rm -rf /funtoo-gnome-stage3/lib64/modules/* && \
    rsync -A -a --delete --numeric-ids --recursive -d -H --one-file-system --xattrs --exclude '/funtoo-gnome-stage3/*'  --exclude '/etc/resolv.conf'  --exclude '/etc/hostname'  --exclude '/sys/' --exclude '/etc/hosts'  --exclude '/sys/*' --exclude '/proc/*' --exclude '/dev/pts/*' /funtoo-gnome-stage3/ / && \
    rm -rf /funtoo-gnome-stage3
  image: alpine
  seed: alpine
  package:
    id: 0
    name: funtoo-gnome-stage3
    version: 0.20230201+1
    category: seed
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: true
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: 2023-05-27 07:04:26.37893418 +0000 UTC m=+3184.384271018
    labels:
      package.version: "0.20220604"
      release: "1.4"
    treedir: /build/packages
    repository: ""
  package_dir: ""
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  id: 0
  name: funtoo-gnome-stage3
  version: 0.20230201+1
  category: seed
  useflags: []
  state: ""
  packagerequires: []
  packageconflicts: []
  provides: []
  hidden: true
  annotations: {}
  path: ""
  description: ""
  uri: []
  license: ""
  buildtimestamp: ""
  labels:
    package.version: "0.20220604"
    release: "1.4"
  treedir: ""
  repository: ""
